[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: NEW ocaml licence proposal by upstream, will be part of the 3.08.1 release going into sarge.

On Thu, Aug 26, 2004 at 04:14:57PM -0400, Glenn Maynard wrote:
> FYI, the reply from the FSF I received was essentially that yes, you can
> make modifications to a "v2 or newer" GPL program and place them under a
> "v2 only" GPL and the result is compatible; that works exercising GPL#9
> is not intended to be incompatible with works not doing so.

Now it's "yes, but the two pieces must be separable" (that's extremely
bizarre, to me; since when does the GPL really care about whether pieces
are separable when it comes to compatibility?) and waiting on word from
"superiors" (presumably Moglen, RMS or similar).

Disregard this for now until such word arrives (it's of little use until
I'm given permission to quote the actual text, anyway).

Glenn Maynard

Reply to: